<?php

/**
 * Test: NTable: Rows invalidating.
 *
 * @author     Jan Skrasek
 * @package    Nette\Database
 * @dataProvider? databases.ini
 */

require dirname(__FILE__) . '/connect.inc.php'; // create $connection

NDatabaseHelpers::loadFromFile($connection, dirname(__FILE__) . "/{$driverName}-nette_test1.sql");

$cacheStorage = new NMemoryStorage;
$connection->setCacheStorage($cacheStorage);
$connection->setDatabaseReflection(new NDiscoveredReflection($cacheStorage));



$selections = array();
foreach ($selections[] = $connection->table('book') as $book) {
	$book->author->name;
	$selections[] = $book->author->getTable();
}
foreach ($selections as $selection) {
	$selection->__destruct();
}

$authors = array();
foreach ($connection->table('book') as $book) {
	$authors[] = $book->author;
}

$webs = array();
foreach ($authors as $author) {
	$webs[$author->web] = NULL;
}
ksort($webs);
Assert::equal(array(
	'http://davidgrudl.com/',
	'http://www.vrana.cz/',
), array_keys($webs));



$bookSelection = $connection->table('book')->order('id');
$book = $bookSelection->fetch();
$book->author_id;
$bookSelection->__destruct();

$bookSelection = $connection->table('book')->order('id');
$books = array();
$books[] = $bookSelection->fetch();
$books[] = $bookSelection->fetch()->toArray();
$books[] = $bookSelection->fetch()->toArray();
Assert::equal(1, $books[0]['id']);
Assert::equal(2, $books[1]['id']);
Assert::equal(3, $books[2]['id']);
