<?php

/**
 * Test: NTable: Special case of caching
 *
 * @author     Jachym Tousek
 * @package    Nette\Database
 * @dataProvider? databases.ini
 */

require dirname(__FILE__) . '/connect.inc.php'; // create $connection

NDatabaseHelpers::loadFromFile($connection, dirname(__FILE__) . "/{$driverName}-nette_test1.sql");



$cacheStorage = new NMemoryStorage;
$connection->setCacheStorage($cacheStorage);
$connection->setDatabaseReflection(new NDiscoveredReflection($cacheStorage));



for ($i = 1; $i <= 2; ++$i) {

	foreach ($connection->table('author') as $author) {
		$author->name;
		foreach ($author->related('book', 'author_id') as $book) {
			$book->title;
		}
	}

	foreach ($connection->table('author')->where('id', 13) as $author) {
		$author->name;
		foreach ($author->related('book', 'author_id') as $book) {
			$book->title;
		}
	}

}
